cURL
curl --request PATCH \
--url https://api.smartbills.io/v1/integrations/{integrationId}/installed \
--header 'Content-Type: application/json' \
--data '
{
"isInstalled": true
}
'import requests
url = "https://api.smartbills.io/v1/integrations/{integrationId}/installed"
payload = { "isInstalled": True }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({isInstalled: true})
};
fetch('https://api.smartbills.io/v1/integrations/{integrationId}/installed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"applicationId": 123,
"application": {
"id": 123,
"locale": "<string>",
"name": "<string>",
"description": "<string>",
"shortDescription": "<string>",
"slug": "<string>",
"clientId": "<string>",
"categories": [
"<string>"
],
"privacyPolicyUrl": "<string>",
"termsAndConditionsUrl": "<string>",
"revokeUrl": "<string>",
"callbackUrl": "<string>",
"appUrl": "<string>",
"websiteUrl": "<string>",
"developper": "<string>",
"isPublic": true,
"support": {
"supportWebsiteUrl": "<string>",
"supportEmail": "<string>",
"supportPhone": "<string>"
},
"scopes": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"installationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"businessId": 123,
"isInstalled": true,
"errorMessage": "<string>",
"appUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Integrations
Patch v1integrations installed
PATCH
/
v1
/
integrations
/
{integrationId}
/
installed
cURL
Path Parameters
Body
application/jsontext/jsonapplication/*+json
Response
OK
Show child attributes
Show child attributes
Available options:
NOT_STARTED, AUTHORIZE_STARTED, TOKEN_EXCHANGED, COMPLETED, FAILED, ABANDONED Was this page helpful?
⌘I